%define    anolis_release 2

Version: 0.303.1
Release: %{anolis_release}%{?dist}
URL: https://gitlab.gnome.org/GNOME/cantarell-fonts/
 
%global	common_description	%{expand:
The Cantarell font family is a contemporary Humanist sans serif
designed for on-screen reading. The fonts were originally designed
by Dave Crossland.}
 
%global	foundry		abattis
%global	fontlicense	OFL
%global	fontlicenses	COPYING
%global	fontdocs	NEWS README.md
%global	fontdocsex	%{fontlicenses}
 
%global	fontfamily0	Cantarell
%global	fontsummary0	Humanist sans serif font
%global	fonts0		prebuilt/Cantarell-*.otf
%global	fontsex0	prebuilt/Cantarell-VF.otf
%global	fontconfs0	%{SOURCE1}
%global	fontdescription1	%{expand:
%{common_description}
 
This package contains the non-variable font version of the Cantarell font.}
 
%global	fontfamily1	Cantarell-VF
%global	fontsummary1	Humanist sans serif font (variable)
%global	fonts1		prebuilt/Cantarell-VF.otf
%global	fontconfs1	%{SOURCE2}
%global fontdescription1	%{expand:
%{common_description}
 
This package contains the variable font version of the Cantarell font.}
 
Source0: https://gitlab.gnome.org/GNOME/cantarell-fonts/-/archive/v0.303/cantarell-fonts-%{version}.tar.xz
Source1: 31-cantarell.conf
Source2: 31-cantarell-vf.conf
 
BuildRequires: gettext
BuildRequires: meson

 
%fontpkg -a
 
%prep
%autosetup -n cantarell-fonts-%{version}
 
%build
%meson -Duseprebuilt=true
%meson_build 
%fontbuild -a
 
%install
%fontinstall -a
 
%check
%fontcheck -a
 
%fontfiles -a

%changelog
* Wed Apr 20 2022 gcdota930915 <taifu.gc@alibaba-inc.com> - 0.303.1-2
- Add a sub-package for variable font, abattis-cantarell-vf-fonts
- Rewrite the spec file in font template

* Wed Apr 20 2022 yuanhui <yuanhui@linux.alibaba.com> - 0.303.1-1
- Init abattis-cantarell-fonts for anolis os 23

